// Filename: pStatTimer.I
// Created by:  drose (11Jul00)
//
////////////////////////////////////////////////////////////////////
//
// PANDA 3D SOFTWARE
// Copyright (c) 2001 - 2004, Disney Enterprises, Inc.  All rights reserved
//
// All use of this software is subject to the terms of the Panda 3d
// Software license.  You should have received a copy of this license
// along with this source code; you will also find a current copy of
// the license at http://etc.cmu.edu/panda3d/docs/license/ .
//
// To contact the maintainers of this program write to
// panda3d-general@lists.sourceforge.net .
//
////////////////////////////////////////////////////////////////////


#ifdef DO_PSTATS

////////////////////////////////////////////////////////////////////
//     Function: PStatTimer::Constructor
//       Access: Public
//  Description:
////////////////////////////////////////////////////////////////////
INLINE PStatTimer::
PStatTimer(PStatCollector &collector) :
  _collector(collector),
  _thread(PStatClient::get_global_pstats()->get_current_thread())
{
  _collector.start(_thread);
}

////////////////////////////////////////////////////////////////////
//     Function: PStatTimer::Constructor
//       Access: Public
//  Description:
////////////////////////////////////////////////////////////////////
INLINE PStatTimer::
PStatTimer(PStatCollector &collector, Thread *current_thread) :
  _collector(collector),
  _thread(current_thread)
{
  _collector.start(_thread);
}

////////////////////////////////////////////////////////////////////
//     Function: PStatTimer::Destructor
//       Access: Public
//  Description:
////////////////////////////////////////////////////////////////////
INLINE PStatTimer::
~PStatTimer() {
  _collector.stop(_thread);
}

#endif
